ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jonathan Hurley (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (AMBARI-21391) Use the Correct Effective Stack ID for Commands During an Express Upgrade
Date Mon, 03 Jul 2017 04:19:00 GMT

     [ https://issues.apache.org/jira/browse/AMBARI-21391?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jonathan Hurley updated AMBARI-21391:
-------------------------------------
    Status: Patch Available  (was: In Progress)

> Use the Correct Effective Stack ID for Commands During an Express Upgrade
> -------------------------------------------------------------------------
>
>                 Key: AMBARI-21391
>                 URL: https://issues.apache.org/jira/browse/AMBARI-21391
>             Project: Ambari
>          Issue Type: Bug
>    Affects Versions: 2.5.2
>            Reporter: Jonathan Hurley
>            Assignee: Jonathan Hurley
>            Priority: Blocker
>             Fix For: 2.5.2
>
>         Attachments: AMBARI-21391.patch
>
>
> During an EU, the effective stack ID needs to be correctly determined based on whether
the desired stack has changed.
> STR:
> - Create a stack with BIgInsights 4.2.5
> - Register HDP 2.6
> - Perform an EU
> The "STOP" steps should be sending down host_params/stack_version = 4.2.5.0. All commands
after the desired stack ID change should adjust to using the target (HDP 2.6) value.
> {code}
>     "configuration_credentials": {},
>     "roleCommand": "CUSTOM_COMMAND",
>     "credentialStoreEnabled": "false",
>     "hostLevelParams": {
>         "stack_name": "BigInsights",
>         "current_version": "4.2.5.0-0000",
>         "custom_command": "RESTART",
>         "stack_version": "4.2.5",
>         ...
>     },
>     "commandParams": {
>         "upgrade_direction": "upgrade",
>         "service_package_folder": "common-services/ZOOKEEPER/3.4.5/package",
>         "hooks_folder": "HDP/2.0.6/hooks",
>         "clusterName": "c1",
>         "script": "scripts/zookeeper_server.py",
>         "request_id": "10",
>         "version": "2.6.0.0-334",
>         "forceRefreshConfigTagsBeforeExecution": "true",
>         "upgrade_type": "nonrolling_upgrade",
>         "command_timeout": "900",
>         "script_type": "PYTHON"
>     },
> {code}



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message